// LSettingsWindow.h
// `````````````````

#pragma once
#include "stdafx.h"

class LSettingsWindow : public MGWindow {
private:
	// Controls

	MGListBox* lbOptions;
	MGGroup*   grSettings;

	MGListBox*  lbHotkeys;
	MGHotkeyControl* hcKeyinput;
	MGButton*   btSetHotkey;

	MGLabel*    lDevices;
	MGComboBox* cbDevices;
	MGLabel*    lSoundInfo;

	// Events

	void onListChanged();
	void onDeviceChanged();
	void onHotkeySelected();

	// Functions

	void repopulateDevices();
	void repopulateSoundInfo();

public:
	LSettingsWindow();
	~LSettingsWindow();
};